Bug 228283 - sysutils/nomad: Web UI does not work
Summary: sysutils/nomad: Web UI does not work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on: 237098
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-16 02:26 UTC by Cullum Smith
Modified: 2019-07-29 16:14 UTC (History)
3 users (show)

See Also:
jhixson: maintainer-feedback+


Attachments
Port diff file (715 bytes, patch)
2018-05-24 14:51 UTC, John Hixson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cullum Smith 2018-05-16 02:26:15 UTC
The current Makefile for nomad does not build the web interface. This can be fixed with the following small patch to the Makefile:

-       ${SETENV} ${BUILD_ENV} GOPATH=${WRKSRC} go build -v -x \
+       ${SETENV} ${BUILD_ENV} GOPATH=${WRKSRC} go build -v -x -tags ui \
Comment 1 John Hixson freebsd_committer 2018-05-24 14:51:21 UTC
Created attachment 193655 [details]
Port diff file
Comment 2 John Hixson freebsd_committer 2018-05-24 14:52:08 UTC
Thanks for the patch ;-)
Comment 3 Luca Pizzamiglio freebsd_committer 2019-07-15 16:40:32 UTC
Hi John,
may I commit it?

I've tested it and it works like a charm.
I would adjust the patch to fit the current nomad version and I'll commit it (with your approval)
Comment 4 John Hixson freebsd_committer 2019-07-25 05:57:36 UTC
Luca, by all means, please do.
Comment 5 commit-hook freebsd_committer 2019-07-29 16:13:48 UTC
A commit references this bug:

Author: pizzamig
Date: Mon Jul 29 16:12:51 UTC 2019
New revision: 507573
URL: https://svnweb.freebsd.org/changeset/ports/507573

Log:
  sysutils/nomad: Build the web ui

  Enable the web ui in nomad.

  PR:		228283
  Submitted by:	Cullum Smith <cullum@c0ffee.net>
  Approved by:	jhixson (maintainer)
  Sponsored by:	trivago N.V.

Changes:
  head/sysutils/nomad/Makefile